Package org.eclipse.swt.accessibility

## Class AccessibleTableEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.swt.accessibility.AccessibleTableEvent

All Implemented Interfaces:
  `Serializable`

    public class AccessibleTableEvent
    extends EventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleTable messages to an accessible object.

Since:
  3.6
See Also:
  `AccessibleTableListener`, `AccessibleTableAdapter`, Serialized Form

### Field Summary

Fields
`Accessible` `accessible`
`Accessible[]` `accessibles`
`int` `column`
`int` `count`
`boolean` `isSelected`
`String` `result` The value of this field must be set in the accessible table listener method before returning.
`int` `row`
`int[]` `selected`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`AccessibleTableEvent​(Object source)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### accessible

    public Accessible accessible

#### accessibles

    public Accessible[] accessibles

#### result

    public String result

The value of this field must be set in the accessible table listener method before returning. What to set it to depends on the listener method called.

#### column

    public int column

#### row

    public int row

#### count

    public int count

#### isSelected

    public boolean isSelected

#### selected

    public int[] selected

### Constructor Detail

#### AccessibleTableEvent

    public AccessibleTableEvent​(Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event